Class | Merb::MemorySessionStore
In: | lib/merb-core/dispatch/session/memory.rb
Parent: | Object

Used for handling multiple sessions stored in memory.

### Methods

delete_session new reap_expired_sessions retrieve_session start_timer store_session

### Public Class methods

new(ttl=nil)

#### Parameters

ttl<Fixnum>: | Session validity time in seconds. Defaults to 1 hour.

:api: private

### Public Instance methods

delete_session(session_id)

#### Parameters

session_id<String>: | ID of the session to delete.

:api: private

reap_expired_sessions()

Deletes any sessions that have reached their maximum validity.

:api: private

retrieve_session(session_id)

#### Parameters

session_id<String>: | ID of the session to retrieve.

#### Returns

ContainerSession: | The session corresponding to the ID.

:api: private

start_timer()

Starts the timer that will eventually reap outdated sessions.

:api: private

store_session(session_id, data)

#### Parameters

session_id<String>: | ID of the session to set.
data<ContainerSession>: | The session to set.

:api: private

[Validate]